## org.red5.server.stream.codec
Class AVCVideo

    java.lang.Object
      org.red5.server.stream.codec.AVCVideo

All Implemented Interfaces:
  IVideoStreamCodec

    public class AVCVideo

extends Object
implements IVideoStreamCodec

Red5 video codec for the AVC (h264) video format. Store DecoderConfigurationRecord and last keyframe (for now! we're cooking a very exciting new!)

Author:
  Tiago Jacobs (tiago@imdt.com.br), Paul Gregoire (mondain@gmail.com)

Field Summary

Fields inherited from interface org.red5.server.api.stream.IVideoStreamCodec
`FLV_FRAME_KEY`

Constructor Summary
`AVCVideo()` Constructs a new AVCVideo.

Method Summary
`boolean` `addData(IoBuffer data)` Update the state of the codec with the passed data.
`boolean` `canDropFrames()` Check if the codec supports frame dropping.
`boolean` `canHandleData(IoBuffer data)` Returns true if the codec knows how to handle the passed stream data.
`IoBuffer` `getDecoderConfiguration()` Returns information used to configure the decoder.
`IoBuffer` `getKeyframe()`
`String` `getName()`
`void` `reset()` Reset the codec to its initial state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVCVideo

    public AVCVideo()

  Constructs a new AVCVideo.

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `IVideoStreamCodec`
  Returns:
    the name of the video codec.

### canDropFrames

    public boolean canDropFrames()

  Check if the codec supports frame dropping.

  Specified by:
    `canDropFrames` in interface `IVideoStreamCodec`
  Returns:
    if the codec supports frame dropping.

### reset

    public void reset()

  Reset the codec to its initial state.

  Specified by:
    `reset` in interface `IVideoStreamCodec`

### canHandleData

    public boolean canHandleData(IoBuffer data)

  Returns true if the codec knows how to handle the passed stream data.

  Specified by:
    `canHandleData` in interface `IVideoStreamCodec`
  Parameters:
    `data` - some sample data to see if this codec can handle it.
  Returns:
    can this code handle the data.

### addData

    public boolean addData(IoBuffer data)

  Update the state of the codec with the passed data.

  Specified by:
    `addData` in interface `IVideoStreamCodec`
  Parameters:
    `data` - data to tell the codec we're adding
  Returns:
    true for success. false for error.

### getKeyframe

    public IoBuffer getKeyframe()

  Specified by:
    `getKeyframe` in interface `IVideoStreamCodec`
  Returns:
    the data for a keyframe.

### getDecoderConfiguration

    public IoBuffer getDecoderConfiguration()

  Returns information used to configure the decoder.

  Specified by:
    `getDecoderConfiguration` in interface `IVideoStreamCodec`
  Returns:
    the data for decoder setup.

Copyright © 2006-2010 The Red5 Project